﻿CREATE TABLE jefy_admin.TYPAP_VERSION
(
  TYAV_ID NUMBER(12) not null,
  TYAP_ID NUMBER(12) not null,
  TYAV_TYPE_VERSION VARCHAR2(20) NOT NULL,
  TYAV_VERSION  VARCHAR2(10) NOT NULL,
  TYAV_DATE     DATE,
  TYAV_COMMENT  VARCHAR2(100)
)
LOGGING 
NOCACHE
NOPARALLEL;


--
-- PK_DB_VERSION  (Index) 
--
CREATE UNIQUE INDEX jefy_admin.PK_TYPAP_VERSION ON jefy_admin.TYPAP_VERSION
(TYAV_ID)
LOGGING
NOPARALLEL;


-- 
-- Non Foreign Key Constraints for Table DB_VERSION 
-- 
ALTER TABLE jefy_admin.TYPAP_VERSION ADD (
  CONSTRAINT PK_TYPAP_VERSION PRIMARY KEY (TYAV_ID));
  
  
ALTER TABLE JEFY_ADMIN.TYPAP_VERSION
 ADD CONSTRAINT FK_TYAV_TYAP
 FOREIGN KEY (TYAP_ID)
 REFERENCES JEFY_ADMIN.TYPE_APPLICATION (TYAP_ID) DEFERRABLE
 INITIALLY DEFERRED ENABLE
 VALIDATE ;
 
 CREATE SEQUENCE JEFY_ADMIN.TYPAP_VERSION_SEQ
START WITH 1
INCREMENT BY 1
MINVALUE 0
NOCACHE 
NOCYCLE 
NOORDER ;
 